db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew McIntyre" <mcintyr...@gmail.com>
Subject Re: Is ANT setup to read only DITA-OT1.1.2.1 for Derby files?
Date Tue, 02 Jan 2007 19:55:00 GMT
On 1/2/07, Laura Stewart <scotsmatrix@gmail.com> wrote:
> Hi -
>
> I have downloaded the new DITA toolkit (DITA-OT1.1.3.1) and am
> attempting to generate output using the new version.  However when I
> run "ant pdf.ref" I get a build failure and it refers to
> DITA-OT1.1.2.1.  So I am wondering if there is something in ANT that
> specifically looks for DITA-OT1.1.2.1 and returns a build failure when
> that version is not found.
>
> If yes, is there a way to override it?

Yes, and yes. docs.properties at the top of the tree defines two
properties that allow Ant to locate the DITA toolkit: dita.dir, the
location of the expanded DITA toolkit directory, and dita.zip, the
location for the unexpanded zip file to allow for automatic expansion
of the DITA toolkit from the zip. Change these two properties to point
to the new locations of the toolkit/zip file and Ant will call into
the toolkit buildfiles in the new location.

andrew

Mime
View raw message